MarcReader (marc4j)
Keywords: org.marc4j.MarcReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j
Class MarcReader

    java.lang.Object
      org.marc4j.MarcReader

public class MarcReader
extends Object

Parses MARC records and reports events to the `MarcHandler` and optionally the `ErrorHandler`.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters
See Also:
  `MarcHandler`, `ErrorHandler`

Constructor Summary
`MarcReader()`

Method Summary
`void` | `parse(InputStream input)` Sends an input stream to the MARC parser.
`void` | `parse(InputStreamReader input)` Sends an input stream reader to the MARC parser.
`void` | `parse(Reader input)`
`void` | `parse(String fileName)` Sends a file to the MARC parser.
`void` | `setErrorHandler(ErrorHandler eh)` Registers the `ErrorHandler` implementation.
`void` | `setMarcHandler(MarcHandler mh)` Registers the `MarcHandler` implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarcReader

    public MarcReader()

Method Detail

### setMarcHandler

    public void setMarcHandler(MarcHandler mh)

  Registers the `MarcHandler` implementation.

  Parameters:
    `mh` - the `MarcHandler` implementation

### setErrorHandler

    public void setErrorHandler(ErrorHandler eh)

  Registers the `ErrorHandler` implementation.

  Parameters:
    `eh` - the `ErrorHandler` implementation

### parse

    public void parse(String fileName)
               throws IOException

  Sends a file to the MARC parser.

  Parameters:
    `fileName` - the filename
  Throws:
    `IOException`

### parse

    public void parse(InputStream input)
               throws IOException

  Sends an input stream to the MARC parser.

  Parameters:
    `input` - the input stream
  Throws:
    `IOException`

### parse

    public void parse(InputStreamReader input)
               throws IOException

  Sends an input stream reader to the MARC parser.

  Parameters:
    `input` - the input stream reader
  Throws:
    `IOException`

### parse

    public void parse(Reader input)
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.